Appointment ManagementList calendars

List calendars

GET /calendars

curl -X GET "https://app.bualpro.com/api/calendars" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY"
{
  "data": [
    {
      "id": 3.14,
      "name": "Johan Ahmad",
      "duration": 3.14,
      "created_by": 3.14,
      "created_at": "2024-12-25T10:00:00Z"
    }
  ]
}
GET
/calendars
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Responses

dataarray

The source lists a maximum value of 100 for this array; its enforcement is unverified.

Get list of calendars